import { type Tree } from '@nx/devkit';
import type { PersistConfig, UploadConfig } from '@code-pushup/models';
import type { ItemOrArray } from '@code-pushup/utils';
import type { ExecutableCode } from './types';
export declare const DEFAULT_IMPORTS: string[];
export type GenerateCodePushupConfigOptions = {
    fileImports?: ItemOrArray<string>;
    persist?: Partial<PersistConfig>;
    upload?: Partial<UploadConfig>;
    plugins?: ExecutableCode[];
    categories?: ExecutableCode[];
};
export declare function generateCodePushupConfig(tree: Tree, root: string, options?: GenerateCodePushupConfigOptions): void;
